%{?nodejs_find_provides_and_requires}

Name:           nodejs-ansicolors
Version:        0.3.2
Release:        6%{?dist}
Summary:        Functions that surround a string with ansi color codes so it prints in color
License:        MIT
Url:            http://registry.npmjs.org/ansicolors/-/ansicolors-0.3.2.tgz
Source0:        http://registry.npmjs.org/ansicolors/-/ansicolors-0.3.2.tgz
BuildArch:	noarch
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
BuildRequires:  nodejs-devel

%description
Functions that surround a string with ansi color codes so it prints in color.
%prep
%setup -q -n package

%build
#nothing to do

%install
rm -rf %buildroot

mkdir -p %{buildroot}%{nodejs_sitelib}/ansicolors
cp -pr ansicolors.js package.json %{buildroot}%{nodejs_sitelib}/ansicolors

%nodejs_symlink_deps
%check 

node test/ansicolors.js

%clean
rm -rf %buildroot

%files
%{nodejs_sitelib}/ansicolors

%doc LICENSE README.md

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 16 2014 Tomas Hrcka <thrcka@redhat.com> - 0.3.2-4
- restrict to compatible arches

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 13 2014 Tomas Hrcka <thrcka@redhat.com> - 0.3.2-2
- remove buildroot
- fix typo in summary

* Wed Mar 12 2014 Tomas Hrcka <thrcka@redhat.com> - 0.3.2-1
- Initial package build

